import { n as saveJsonFile } from "./json-file-FfI1G8lt.js";
import "./path-resolve-B2U_x9a4.js";
import "./constants-CEHHWgE5.js";
import fs from "node:fs";
//#region src/agents/auth-profiles/paths.ts
function ensureAuthStoreFile(pathname) {
	if (fs.existsSync(pathname)) return;
	saveJsonFile(pathname, {
		version: 1,
		profiles: {}
	});
}
//#endregion
export { ensureAuthStoreFile as t };
